<?php

use think\facade\Route;

/**
 * 模板相关路由
 */
Route::group('template', function () {
    Route::get('list', 'Template/get_list')->name('get_list');//获取模板列表
    Route::post('ban/:id', 'Template/set_ban')->name('set_ban');//设置启用/禁用
    Route::post('set/:id', 'Template/set_template')->name('set_template');//快速编辑某字段
    Route::post('add/:id', 'Template/add_template')->name('add_template');//添加/编辑模板
    Route::get('get/:id', 'Template/get_template')->name('get_template');//获取模板
    Route::post('del/:id', 'Template/delete')->name('delete');//删除模板
})->middleware([
    \app\http\middleware\AllowOriginMiddleware::class,
    \app\badminapi\middleware\BadminAuthTokenMiddleware::class,
    \app\badminapi\middleware\BadminCkeckRole::class
]);